Summary: ecasound - multitrack audio processing tool
Name: ecasound
Version: 2.9.0
Release: 1%{?dist}
URL: http://www.eca.cx/ecasound
Source: http://ecasound.seul.org/download/ecasound-%{version}.tar.gz
License: GPL
Group: Applications/Multimedia

BuildRequires: lilv-devel
BuildRequires: ruby-devel python python-devel 
BuildRequires: ncurses-devel readline-devel
BuildRequires: alsa-lib-devel audiofile-devel
BuildRequires: jack-audio-connection-kit-devel
BuildRequires: libsamplerate-devel libsndfile-devel
BuildRequires: texlive-latex hevea python-docutils
BuildRequires: liboil-devel
BuildRequires: ncurses-devel

%description
Ecasound is a software package designed for multitrack audio
processing. It can be used for simple tasks like audio playback, 
recording and format conversions, as well as for multitrack effect 
processing, mixing, recording and signal recycling. Ecasound supports 
a wide range of audio inputs, outputs and effect algorithms. 
Effects and audio objects can be combined in various ways, and their
parameters can be controlled by operator objects like oscillators 
and MIDI-CCs. A versatile console mode user-interface is included 
in the package.

%package devel
Summary: Ecasound - development files
Group: Applications/Multimedia
Requires: ecasound >= %{version}-%{release}
	
%description devel
The ecasound-devel package contains the header files and static libraries
necessary for building apps like ecawave and ecamegapedal that
directly link against ecasound libraries.

%package -n ecasound-lib
Summary: Ecasound - libecasoundc
Group: Applications/Multimedia
Requires: ecasound >= %{version}-%{release}

%description -n ecasound-lib
Ecasound - libecasoundc package. Provides 
C implementation of the Ecasound Control Interface
(ECI). Both static library files and and header 
files are included in the package.

%package -n 	ecasound-python
Summary: Python bindings to ecasound control interface.
Group: Applications/Multimedia
Requires: ecasound
BuildArch: noarch

%description -n ecasound-python
Python bindings to Ecasound Control Interface (ECI).

%package -n ecasound-ruby
Summary: Ruby bindings to ecasound control interface.
Group: Applications/Multimedia
Requires: ecasound
BuildArch: noarch

%description -n ecasound-ruby
Ruby bindings to Ecasound Control Interface (ECI).

%prep
%setup -q -n ecasound-%{version}

%build

%configure --with-largefile --enable-shared  \
  --with-python-modules=%{python_sitelib}/.. \
  --enable-pyecasound=python
make %{?_smp_mflags}

# build the documentation
cd Documentation/users_guide
make ecasound_users_guide.pdf
cd ../programmers_guide/
make docs

%install
make DESTDIR="%{buildroot}" install-strip
cd pyecasound
install -d -D -m755  %{buildroot}%{python_sitelib}
install -D -m 644 *.py*  %{buildroot}%{python_sitelib}
cd ..
install -D -m 644 rubyecasound/ecasound.rb %{buildroot}%{ruby_vendorlibdir}/ecasound.rb
rm -r %{buildroot}%{ruby_sitelibdir}/1.9

%files
%doc NEWS COPYING COPYING.GPL COPYING.LGPL README INSTALL AUTHORS BUGS TODO examples
%doc Documentation/users_guide/ecasound_users_guide.pdf
%doc Documentation/users_guide/html_uguide
%{_mandir}/man1/eca*
%{_mandir}/man5/eca*
%{_bindir}/ecasound
%{_bindir}/ecaconvert
%{_bindir}/ecafixdc
%{_bindir}/ecamonitor
%{_bindir}/ecanormalize
%{_bindir}/ecalength
%{_bindir}/ecaplay
%{_bindir}/ecasignalview
%{_datadir}/ecasound/ecasoundrc
%{_datadir}/ecasound/ecasound.el
%config %{_datadir}/ecasound/ecasoundrc
%config %{_datadir}/ecasound/generic_oscillators
%config %{_datadir}/ecasound/effect_presets

%files devel
%doc Documentation/programmers_guide/ecasound_programmers_guide.*
%doc Documentation/programmers_guide/ecasound_eci_doc.pdf
%doc Documentation/programmers_guide/html_ecidoc/
%{_bindir}/libecasound-config
%{_includedir}/kvutils
%{_includedir}/libecasound
%{_libdir}/libecasound.la
%{_libdir}/libecasound.a
%{_libdir}/libkvutils.la
%{_libdir}/libkvutils.a

%files -n ecasound-lib
%{_bindir}/libecasoundc-config
%{_includedir}/libecasoundc
%{_libdir}/libecasoundc.la
%{_libdir}/libecasoundc.a

%files -n ecasound-python
%{python_sitelib}/*.pyo
%{python_sitelib}/*.pyc
%{python_sitelib}/*.py

%files -n ecasound-ruby
%{ruby_vendorlibdir}/ecasound.rb

%changelog
* Mon Aug 13 2012 Jørn Lomax <northlomax@gmail.com> 2.9.0-1
-updated to version 2.9.0
-Initial port to fedora

* Thu Dec  2 2010 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 2.7.2-1
- updated to 2.7.2, added liboil build dependency

* Tue Nov 24 2009 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 2.7.0-1
- updated to 2.7.0

* Fri Feb 20 2009 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 2.6.0-1
- updated to 2.6.0
- properly build documentation (html & pdf)

* Tue Jun 17 2008 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 
- added gcc 4.3 patch from gentoo ebuild for fc9 build

* Thu Sep 20 2007 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 2.4.6.1-1
- updated to 2.4.6.1, added readline-devel build dependency to get
  readline support

* Thu Jun  7 2007 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 2.4.5-1
- build on fc7, fix detection of python 2.5

* Thu May 10 2007 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 2.4.5-1
- updated to 2.4.5, fixed pyecasound build (lib64 issues)
- spec file cleanup

* Wed Dec  6 2006 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 
- added --enable-shared to build on x86_64, deleted --disable-static

* Fri Nov 24 2006 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 2.4.4-2
- updated spec file to use %%{?dist}

* Sat May  6 2006 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 2.4.4-1
- updated to 2.4.4

* Wed Nov 30 2005 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 2.4.3-1
- updated to 2.4.3

* Fri Aug 19 2005 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 2.4.2-2
- updated to 2.4.2
- don't do any stripping (fixes fc3 build), was only needed when
  using automake 1.4 and rh9 uses 1.6 by default
- erase old rh73 conditionals

* Mon May 30 2005 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 
- changed obsolete tag Serial: to Epoch: and Copyright: to License:

* Fri Apr  8 2005 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 2.4.1-1
- updated to 2.4.1, removed support for building with arts

* Tue Mar 22 2005 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 2.4.0-1
- updated to 2.4.0, added patch to fix arts support (from cvs snapshot)

* Sun Dec 19 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 
- spec file cleanup

* Mon Nov 15 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 2.3.5-1
- updated to 2.3.5
- add instruction ordering optimizations to build, ecasound uses
  AM_CFLAGS and AM_CXXFLAGS. Do not compile -g.

* Wed May  5 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 2.3.3-1
- updated to 2.3.3
- forced use of python2 under 7.3 (can't use "import as" in 1.5)

* Fri Dec  5 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 2.3.2-1
- updated to 2.3.2, added rubyecasound

* Wed Nov 19 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 2.3.1-1
- added missing preset.h include file

* Tue Nov 18 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 2.3.1-1
- updated to 2.3.1

* Fri Nov  7 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 2.3.0-2
- added flags for building with alsa > 0.9.8

* Fri Aug 29 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 2.3.0-1
- updated to 2.3.0, added release tags

* Wed Aug 20 2003 Kai Vehmanen <kai.vehmanen@wakkanet.fi>
- added 'AUTHORS' file

* Wed May 21 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 2.2.3-2
- rebuilt with --with-largefile option
- added patch for audiofile support

* Tue May  6 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 2.2.3-1
- updated to 2.2.3

* Mon Apr  7 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 2.2.2-1
- under rh9 the "install" macro call in the changelog was triggering
  a "package already defined debuginfo" error
- updated to current cvs so that it can compile with the latest jack
- fixed files lists

* Tue Mar 18 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 2.2.2-1
- updated to 2.2.2

* Sat Feb 15 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu>
- updated to 2.2.1

* Mon Jan 20 2003 Kai Vehmanen <kai.vehmanen@wakkanet.fi>
- added Serial tag to differentiate between 2.2 pre and 
  final releases

* Sun Jan 19 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu>
- rebuild 2.2.0 for Planet CCRMA


* Sat Nov 02 2002 Kai Vehmanen <kai.vehmanen@wakkanet.fi>
- ported Fernando Lopez-Lezcano's changes to unify this
  spec file with PlanetCCRMA's ecasound package; see
  http://ccrma-www.stanford.edu/planetccrma/software/soundapps.html
- ecasound.el added to package (installed as a data
  file to avoid dependency to emacs/elisp)
- removed unnecessary raw documentation source files
- man files are no longer installed as doc files
- use redhat style mandir location 

* Thu Oct 31 2002 Kai Vehmanen <kai.vehmanen@wakkanet.fi>
- minor layout changes
- added TODO to the package
- changed to use rpmrc dir variables

* Thu Oct 24 2002 Kai Vehmanen <kai.vehmanen@wakkanet.fi>
- added the COPYING files to the package

* Thu Oct 17 2002 Kai Vehmanen <kai.vehmanen@wakkanet.fi>
- added the -devel package
- fixed the build procedure to handle static builds

* Wed Oct 16 2002 Kai Vehmanen <kai.vehmanen@wakkanet.fi>
- removed all shared libraries and subpackages containing 
  them
- ecamonitor binary added to main package

* Sat Oct 05 2002 Kai Vehmanen <kai.vehmanen@wakkanet.fi>
- changed libecasoundc versioning back to normal libtool style

* Thu Apr 25 2002 Kai Vehmanen <kai.vehmanen@wakkanet.fi>
- libraries put to separate subpackages, interface 
  version numbers code to library names
- ecasound-config renamed to libecasound-config
- ecasoundc-config renamed to libecasoundc-config
- plugin install dir changed from prefix/lib/ecasound-plugins
  to prefix/lib/libecasoundX-plugins
- 'contrib' directory removed
- ecasound-plugins subpackage renamed to libecasoundX-plugins

* Mon Oct 01 2001 Kai Vehmanen <kai.vehmanen@wakkanet.fi>
- dropped the hardcoded python module path from configure
  argument list

* Wed Jan 17 2001 Kai Vehmanen <kaiv@wakkanet.fi>
- python subpackage config (thanks to wrobell / PLD Linux!)

* Sat Dec 06 2000 Kai Vehmanen <kaiv@wakkanet.fi>
- contrib and examples directories added to docs
- ecasoundc-config added
- libecasoundc added (C implementation of ECI)
- a new package: pyecasound

* Sat Nov 25 2000 Kai Vehmanen <kaiv@wakkanet.fi>
- ecasignalview added to the package.

* Thu Aug 31 2000 Kai Vehmanen <kaiv@wakkanet.fi>
- Added /etc/ld.so.conf modification script.
- Added DESTDIR to %%install.

* Wed Aug 30 2000 Kai Vehmanen <kaiv@wakkanet.fi>
- 'ecasound-config' script added.

* Sun Aug 20 2000 Kai Vehmanen <kaiv@wakkanet.fi>
- All Qt-related stuff removed.

* Wed Jul 06 2000 Kai Vehmanen <kaiv@wakkanet.fi>
- Added the -plugins package.

* Wed Jun 07 2000 Kai Vehmanen <kaiv@wakkanet.fi>
- ecaconvert added to the package.

* Mon Jun 05 2000 Kai Vehmanen <kaiv@wakkanet.fi>
- Renamed ecatools programs.

* Mon Apr 15 2000 Kai Vehmanen <kaiv@wakkanet.fi>
- Removed dynamic linking to ALSA libraries. You 
  can get ALSA support by recompiling the source-RPM
  package.

* Mon Feb 10 2000 Kai Vehmanen <kaiv@wakkanet.fi>
- Added libqtecasound to ecasound-qt.

* Mon Nov 09 1999 Kai Vehmanen <kaiv@wakkanet.fi>
- A complete reorganization. Ecasound distribution is now 
  divided to three RPMs: ecasound, ecasound-qt and ecasound-devel.

* Mon Nov 08 1999 Kai Vehmanen <kaiv@wakkanet.fi>
- As Redhat stopped the RHCN project, so these rpms 
  are again distributed via Redhat's contrib service
- You can also get these from http://ecasound.seul.org/download

* Sun Aug 15 1999 Kai Vehmanen <kaiv@wakkanet.fi>
- Initial rhcn release.

